SparkleEngine.SparkleParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto.engines

## Enum SparkleEngine.SparkleParameters

- java.lang.Object
- - java.lang.Enum<SparkleEngine.SparkleParameters>
  - - org.bouncycastle.crypto.engines.SparkleEngine.SparkleParameters

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SparkleEngine.SparkleParameters>
  Enclosing class:
    SparkleEngine

      public static enum SparkleEngine.SparkleParameters
      extends java.lang.Enum<SparkleEngine.SparkleParameters>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SCHWAEMM128_128`
    `SCHWAEMM192_192`
    `SCHWAEMM256_128`
    `SCHWAEMM256_256`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SparkleEngine.SparkleParameters` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SparkleEngine.SparkleParameters[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SCHWAEMM128_128

          public static final SparkleEngine.SparkleParameters SCHWAEMM128_128

    - #### SCHWAEMM256_128

          public static final SparkleEngine.SparkleParameters SCHWAEMM256_128

    - #### SCHWAEMM192_192

          public static final SparkleEngine.SparkleParameters SCHWAEMM192_192

    - #### SCHWAEMM256_256

          public static final SparkleEngine.SparkleParameters SCHWAEMM256_256

  - ### Method Detail

    - #### values

          public static SparkleEngine.SparkleParameters[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SparkleEngine.SparkleParameters c : SparkleEngine.SparkleParameters.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SparkleEngine.SparkleParameters valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null